diff --git a/bare_image.sh b/bare_image.sh
index 33baa774f3f108396ae82a7f5db2b5ee726d0e0c..2d32597f815bb0a736d2ad560fc20f8f51564a2b 100755
--- a/bare_image.sh
+++ b/bare_image.sh
@@ -75,6 +75,8 @@ minimal_armel () {
 		chroot_no_aptitude="${chroot_no_aptitude}"
 		chroot_no_tasksel="${chroot_no_tasksel}"
 		chroot_no_manpages="${chroot_no_manpages}"
+		chroot_no_info="${chroot_no_info}"
+		chroot_no_wget="${chroot_no_wget}"
 		chroot_rcnee_startup_scripts="${chroot_rcnee_startup_scripts}"
 		chroot_ENABLE_DEB_SRC="${chroot_ENABLE_DEB_SRC}"
 		chroot_KERNEL_HTTP_DIR="${chroot_KERNEL_HTTP_DIR}"
@@ -153,6 +155,8 @@ is_debian () {
 	chroot_no_aptitude="enable"
 	chroot_no_tasksel="enable"
 	chroot_no_manpages="enable"
+	chroot_no_info="enable"
+	chroot_no_wget="enable"
 }
 
 #13.04
diff --git a/scripts/chroot.sh b/scripts/chroot.sh
index 72c551d0aa2dcfb1a5a83200bf7eb36c7c943b69..3ab5b4ee21a55e584ef0b87ca161b6adb4e19033 100755
--- a/scripts/chroot.sh
+++ b/scripts/chroot.sh
@@ -336,6 +336,15 @@ cat > ${DIR}/chroot_script.sh <<-__EOF__
 		if [ "x${chroot_no_manpages}" = "xenable" ] ; then
 			apt-get -y remove manpages man-db
 			apt-get -y autoremove
+			rm -rf /usr/share/man/* || true
+		fi
+		if [ "x${chroot_no_info}" = "xenable" ] ; then
+			apt-get -y remove info install-info
+			apt-get -y autoremove
+		fi
+		if [ "x${chroot_no_wget}" = "xenable" ] ; then
+			apt-get -y remove wget
+			apt-get -y autoremove
 		fi
 	}